Bug 534491 - (RHQ-1283) Calendar UI element for scheduling operations allows user to select dates in the past.
Calendar UI element for scheduling operations allows user to select dates in ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
1.2
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
Mike Foley
http://jira.rhq-project.org/browse/RH...
:
Depends On:
Blocks: RHQ-1574 rhq4
  Show dependency treegraph
 
Reported: 2008-12-18 10:09 EST by Corey Welton
Modified: 2015-02-01 18:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 13:00:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2008-12-18 10:09:00 EST
RHQ-909 was fixed to be sure users can't schedule events in the past.  The new UI calendar element still allows selection of past dates.  

Steps to repro:
1. Login to JON
2. $platform > Operations > Manual Autodiscovery
3. Fill out fields as expected, but click the calendar icon to bring up the UI calendar element
4. Click a date that is one day, one week, or one month in the past.

Expected results:
Users cannot select days in the past; they should be greyed out.   

Current results:
Users can select past dates

Other notes:
Severity is only minor - the backend still blocks such a selection from being scheduled.
Comment 1 Pavel Kralik 2009-01-09 11:25:57 EST
When is is not possible select past dates in the RF calendar, RHQ-619 should be retested.
Comment 2 Red Hat Bugzilla 2009-11-10 15:29:43 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1283
This bug is related to RHQ-619
This bug relates to RHQ-619
Comment 3 John Mazzitelli 2011-02-11 16:49:22 EST
assigning to ips to make sure his new gwt operation scheduler UI doesn't allow dates in the past to be selected
Comment 4 Mike Foley 2011-06-08 13:48:56 EDT
calendar allows selecting dates in the past, but you get a visible warning message in the message center and operation scheduler ultmately does not allow you to select days in the past.
Comment 6 Heiko W. Rupp 2013-09-03 13:00:24 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.